#!/usr/bin/perl

#
# Print out every 2 sequences of a FASTA file.
# This script can be used to reduce big files.
#

#
# Martin Heusel
# Institute of Bioinformatics
# Johannes Kepler University Linz
# Austria
# http://www.bioinf.jku.at/
#
# v 1.0 30.07.2008
#
# $Id: printEvery2Seqs.pl 34 2008-07-30 21:18:30Z mhe $
#

$file = shift;
$frac = 2;

open SEQ, "$file" or die "can't find seqfile $file $!";

@seqs = <SEQ>;
close SEQ;

$counter = 0;
foreach $item (@seqs) {
    if ($item =~ /^>/) {
        $desc = $item;
        $counter++;
    }
    else {
        unless ($counter % $frac) {
            print $desc;
            print $item;
        }
    }
}
